## com.sun.jersey.core.header
Class QualitySourceMediaType

    java.lang.Object
      javax.ws.rs.core.MediaType
          com.sun.jersey.core.header.QualitySourceMediaType

    public class QualitySourceMediaType

extends MediaType

An quality source media type.

Author:
  Paul.Sandoz@Sun.Com

Field Summary
`static int` | `DEFAULT_QUALITY_SOURCE_FACTOR`
`static java.lang.String` | `QUALITY_SOURCE_FACTOR`

Fields inherited from class javax.ws.rs.core.MediaType

`APPLICATION_ATOM_XML, APPLICATION_ATOM_XML_TYPE, APPLICATION_FORM_URLENCODED, APPLICATION_FORM_URLENCODED_TYPE, APPLICATION_JSON, APPLICATION_JSON_TYPE, APPLICATION_OCTET_STREAM, APPLICATION_OCTET_STREAM_TYPE, APPLICATION_SVG_XML, APPLICATION_SVG_XML_TYPE, APPLICATION_XHTML_XML, APPLICATION_XHTML_XML_TYPE, APPLICATION_XML, APPLICATION_XML_TYPE, MEDIA_TYPE_WILDCARD, MULTIPART_FORM_DATA, MULTIPART_FORM_DATA_TYPE, TEXT_HTML, TEXT_HTML_TYPE, TEXT_PLAIN, TEXT_PLAIN_TYPE, TEXT_XML, TEXT_XML_TYPE, WILDCARD, WILDCARD_TYPE`

Constructor Summary
`QualitySourceMediaType(MediaType mt)`
`QualitySourceMediaType(java.lang.String p, java.lang.String s)`
`QualitySourceMediaType(java.lang.String p, java.lang.String s, int qs, java.util.Map<java.lang.String,java.lang.String> parameters)`

Method Summary
`int` | `getQualitySource()`
`static int` | `getQualitySource(MediaType mt)`
`static QualitySourceMediaType` | `valueOf(HttpHeaderReader reader)`

Methods inherited from class javax.ws.rs.core.MediaType
`equals, getParameters, getSubtype, getType, hashCode, isCompatible, isWildcardSubtype, isWildcardType, toString, valueOf`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### QUALITY_SOURCE_FACTOR

    public static final java.lang.String QUALITY_SOURCE_FACTOR

See Also:
  Constant Field Values

### DEFAULT_QUALITY_SOURCE_FACTOR

    public static final int DEFAULT_QUALITY_SOURCE_FACTOR

See Also:
  Constant Field Values

Constructor Detail

### QualitySourceMediaType

    public QualitySourceMediaType(java.lang.String p,
                                  java.lang.String s)

### QualitySourceMediaType

    public QualitySourceMediaType(java.lang.String p,
                                  java.lang.String s,
                                  int qs,
                                  java.util.Map<java.lang.String,java.lang.String> parameters)

### QualitySourceMediaType

    public QualitySourceMediaType(MediaType mt)

Method Detail

### getQualitySource

    public int getQualitySource()

### valueOf

    public static QualitySourceMediaType valueOf(HttpHeaderReader reader)
                                          throws java.text.ParseException

  Throws:
    `java.text.ParseException`

### getQualitySource

    public static int getQualitySource(MediaType mt)

Copyright © 2017 Oracle Corporation. All Rights Reserved.